<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Login</title>

    <!-- CSS -->
    <link rel="stylesheet" th:href="@{assets/css/main.css}">

    <!-- Favicon and touch icons -->
    <link rel="shortcut icon" th:href="${theme.faviconUrl} ?: @{assets/ico/favicon.ico}">

    <!-- Custom CSS -->
    <style th:if="${theme.css}" th:text="${theme.css}"></style>
    <style th:if="${theme.customCss}" th:text="${theme.customCss}"></style>

    <script th:if="${bot_detection_plugin == 'google-recaptcha-v3-am-bot-detection'}"
            th:src="${'https://www.google.com/recaptcha/api.js?render=' + bot_detection_configuration.siteKey}"></script>
</head>

<body>
<div class="container">
    <div class="header">
        <img class="logo" th:src="${theme.logoUrl} ?: @{assets/images/gravitee-logo.svg}">
        <div class="title">
            <span th:text="#{login.title} + ' ' + ${client.name}"></span>
        </div>
        <div th:if="${allowRegister && !identifierFirstLoginEnabled}" class="header-description">
            <label th:text="#{login.description} + ' '" />
            <a th:href="${registerAction}" th:text="#{login.signup}" />
        </div>
    </div>

    <div class="section">
        <form class="form" id="form" role="form" th:action="${action}" th:if="${!hideLoginForm}" method="post">
            <div class="form-field">
                <input class="input-field" type="text" id="username" name="username"
                       th:placeholder="#{login.label.username}"
                       th:value="${param.username}"
                       autofocus="autofocus"
                       required
                       th:autofocus="${param.username == null}"
                       th:readonly="${param.username != null}" />
            </div>

            <div class="form-field">
                <input class="input-field" type="password" id="password" name="password"
                       th:placeholder="#{login.label.password}"
                       th:autofocus="${param.username != null}"
                       required />
                <button type="button" class="icon-button icon-input-field toggle-password">
                    <span class="icons primary">visibility_off</span>
                </button>
            </div>

            <div class="section" th:if="${allowForgotPassword}">
                <a th:href="${forgotPasswordAction}" th:text="#{login.forgot.password}" />
            </div>

            <div th:if="${error}" class="item error-text">
                <span>
                    <span class="error" th:text="${error}"></span>
                    <small th:text="*{error_description}?: #{login.error.default.message}"></small>
                </span>
            </div>

            <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}"/>
            <input type="hidden" th:name="client_id" th:value="${param.client_id}"/>
            <input type="hidden" th:if="${bot_detection_plugin == 'google-recaptcha-v3-am-bot-detection'}"
                   th:id="${bot_detection_configuration.get('tokenParameterName')}"
                   th:name="${bot_detection_configuration.get('tokenParameterName')}"/>

            <div>
                <button id="btnSubmit" class="button primary" th:text="#{login.button.submit}"></button>
            </div>
        </form>
    </div>

    <div class="section">
        <a th:if="${identifierFirstLoginEnabled}" th:href="${backToLoginIdentifierAction}">
            <span class="icons">arrow_back</span>
            <span th:text="#{login.switch.account}"/>
        </a>
        <a th:if="${allowPasswordless && (!identifierFirstLoginEnabled || hideLoginForm)}"
           th:href="${passwordlessAction}"
           class="button social">
            <span th:text="#{login.passwordless}"/>
        </a>
    </div>

    <div th:if="${socialProviders and !socialProviders.empty}" class="section">
        <a th:href="${authorizeUrls.get(socialProvider.getId())}"
           th:class="${socialProvider.getType()} != 'franceconnect' ? 'button social btn-' + ${socialProvider.getType()} : ''"
           th:each="socialProvider : ${socialProviders}">
            <img th:if="${socialProvider.getType()} == 'franceconnect'" th:src="@{assets/images/FCboutons-10.svg}" height="70">
            <span th:if="${socialProvider.getType()} != 'franceconnect'" th:text="#{login.social.before} + ' ' + ${socialProvider.getName()}"></span>
        </a>
    </div>
</div>

<script th:src="@{assets/js/jquery-3.5.1.min.js}"></script>
<script th:inline="javascript" th:attr="nonce=${script_inline_nonce}">
    $(document).ready(function () {

        $("#btnSubmit").on("click", function (event) {
            /*[# th:if="${bot_detection_plugin == 'google-recaptcha-v3-am-bot-detection'}"]*/
            event.preventDefault();
            grecaptcha.ready(function () {
                grecaptcha.execute(/*[[${bot_detection_configuration.siteKey}]]*/, {action: 'submit'}).then(function (token) {
                    $("#" + /*[[${bot_detection_configuration.get('tokenParameterName')}]]*/ "no-name").val(token);
                    $("#form").unbind('submit').submit();
                });
            });
            /*[/]*/
        });

        $(".toggle-password").on("click", function () {
            const icon = $(this).find(".icons").first();
            const input = $(this).parent().find("input").first();
            icon.text() === "visibility" ? icon.text("visibility_off") : icon.text("visibility");
            input.attr("type") === "password" ? input.attr("type", "text") : input.attr("type", "password");
        });

        $("#username").on("keyup", toggleSubmit);
        $("#password").on("keyup", toggleSubmit);

        function toggleSubmit() {
            const submitBtn = $("#btnSubmit");
            if ($("#username").val() === "" || $("#password").val() === "") {
                submitBtn.prop('disabled', true);
                submitBtn.addClass("button-disabled");
            } else {
                submitBtn.prop('disabled', false);
                submitBtn.removeClass("button-disabled");
            }
        }
    });
</script>

<script th:if="${rememberDeviceIsActive && deviceIdentifierProvider == 'FingerprintJsV3Pro'}"
        th:src="@{assets/js/remember-device/fingerprintjs-v3-pro.js}"></script>
<script th:if="${rememberDeviceIsActive && deviceIdentifierProvider == 'FingerprintJsV3Pro'}" th:attr="nonce=${script_inline_nonce}">
    $(document).ready(function () {
        loadFingerprintJsV3Pro("[[${fingerprint_js_v3_pro_browser_token}]]", "[[${fingerprint_js_v3_pro_region}]]", fp => {
            if (fp.visitorId) {
                $("#form")
                    .append('<input type="hidden" name="deviceId" value="' + fp.visitorId + '"/>')
            }
        });
    });
</script>

<script th:if="${rememberDeviceIsActive && deviceIdentifierProvider == 'FingerprintJsV3Community'}"
        th:src="@{assets/js/remember-device/fingerprintjs-v3.js}"></script>
<script th:if="${rememberDeviceIsActive && deviceIdentifierProvider == 'FingerprintJsV3Community'}" th:attr="nonce=${script_inline_nonce}">
    $(document).ready(function () {
        loadFingerprintJsV3(fp => {
            if (fp.visitorId) {
                $("#form")
                    .append('<input type="hidden" name="deviceId" value="' + fp.visitorId + '"/>')
            }
            if (fp.components && fp.components.platform && fp.components.platform.value) {
                $("#form").append('<input type="hidden" name="deviceType" value="' + fp.components.platform.value + '"/>');
            }
        });
    });
</script>
</body>
</html>
